GuideLab API

Archive a participant-owned conversation attachment

Immediately replaces an attachment owned by the current participant with a permanent placeholder. Its objects enter the shared hold-aware retirement lifecycle after 90 days.

DELETE
/conversations/{id}/attachments/{attachmentId}

Immediately replaces an attachment owned by the current participant with a permanent placeholder. Its objects enter the shared hold-aware retirement lifecycle after 90 days.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string
Length1 <= length
attachmentId*string
Length1 <= length

Response Body

application/json

curl -X DELETE "https://example.com/conversations/string/attachments/string"
{  "data": {    "id": "string",    "name": "[Attachment archived]",    "mimeType": "application/octet-stream",    "size": 0,    "duration": null,    "transcript": null,    "hasThumbnail": false  }}
Empty
Empty
Empty
Empty